VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
VisimBox.Physics.Explosion Class Reference
Inheritance diagram for VisimBox.Physics.Explosion:

List of all members.

## Public Member Functions
| Explosion ()
| Default constructor.
void | DefaultSettings (Vector3 position)
| Sets reasonable default settings.
virtual void | Update (RigidBody node, float time)
| Update node by time.
## Public Attributes
Vector3 | ExplosionPoint
| Source of the explosion.
float | ImplosionMinRadius
| Minimal radius for initial implosion.
float | ImplosionMaxRadius
| Maximalradius for initial implosion.
float | ImplosionForce
| Force of implosion.
float | ShockWaveSpeed
| Speed of shockwave.
float | ShockWaveThickness
| Thickness of shockwave (force modifier for distance)
float | PeakConcussionForce
| Maximal force at the center of explosion.
float | ConcussionDuration
| Time of concussion wave.
float | PeakConvectionForce
| Maximal force in convection chimney.
float | ConvectionDuration
| Time of convection wave.
float | ChimneyRadius
| Radius of convection chimney (in x/y plane)
float | ChimneyHeight
| Height of the convection chimney.

## Constructor & Destructor Documentation

VisimBox.Physics.Explosion.Explosion | ( |  | ) |

Default constructor.

## Member Function Documentation

void VisimBox.Physics.Explosion.DefaultSettings | ( | Vector3 | position | ) |

Sets reasonable default settings.

Parameters:

  position |

virtual void VisimBox.Physics.Explosion.Update | ( | RigidBody | node,
|  | float | time
| ) |  | `[virtual]`

Update node by time.

Parameters:

  node | node
  time | elapsed time

Implements VisimBox.Physics.IForceGenerator.

## Member Data Documentation

float VisimBox.Physics.Explosion.ChimneyHeight

Height of the convection chimney.

float VisimBox.Physics.Explosion.ChimneyRadius

Radius of convection chimney (in x/y plane)

float VisimBox.Physics.Explosion.ConcussionDuration

Time of concussion wave.

float VisimBox.Physics.Explosion.ConvectionDuration

Time of convection wave.

Vector3 VisimBox.Physics.Explosion.ExplosionPoint

Source of the explosion.

float VisimBox.Physics.Explosion.ImplosionForce

Force of implosion.

float VisimBox.Physics.Explosion.ImplosionMaxRadius

Maximalradius for initial implosion.

float VisimBox.Physics.Explosion.ImplosionMinRadius

Minimal radius for initial implosion.

float VisimBox.Physics.Explosion.PeakConcussionForce

Maximal force at the center of explosion.

float VisimBox.Physics.Explosion.PeakConvectionForce

Maximal force in convection chimney.

float VisimBox.Physics.Explosion.ShockWaveSpeed

Speed of shockwave.

float VisimBox.Physics.Explosion.ShockWaveThickness

Thickness of shockwave (force modifier for distance)

The documentation for this class was generated from the following file:

- ForceGenerator.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events